-- BioTorrent.applescript
-- BioTorrent

--  Created by Ian Campbell on 2/27/08.
--  Copyright 2008 AdvancedIdeaMechanics.org - All rights reserved.

global dest
global destfileContents

on awake from nib theObject
	set mypath to path to me as string
	set dest to mypath & "Contents:Resources:destination.txt"
	--set dest to "Hitachi HD" & POSIX path of dest & "Contents/Resources/destination.txt"
	--set dest to dest & "Contents:Resources:destination.txt"
	set dest to alias dest
	open for access dest
	set destfileContents to (read dest)
	close access dest
	
	
	tell theObject
		register drag types {"file names"}
	end tell
end awake from nib

on drop theObject drag info dragInfo
	set dataTypes to types of pasteboard of dragInfo
	if "file names" is in dataTypes then
		set preferred type of pasteboard of dragInfo to "file names"
		set theFile to contents of pasteboard of dragInfo
	end if
	
	set rubypath to path to me
	set rubypath to POSIX path of rubypath
	
	tell application "Terminal"
		run
		do script "ruby " & rubypath & "contents/resources/biotorrent.rb " & "\"" & theFile & "\"" & " " & "\"" & destfileContents & "\""
	end tell
end drop

on choose menu item theObject
	--display dialog "Enter destination directory:" default answer "/"
	--set dialogInfo to result
	--set nudest to text returned of dialogInfo
	
	set nudest to (choose folder) as string
	set nudest to POSIX path of nudest
	open for access dest with write permission
	set eof of dest to 0
	write nudest to dest
	close access dest
end choose menu item

